## waypipe 0.9.2

=== meson_options.txt ===
option('man-pages', type: 'feature', value: 'auto', description: 'Generate and install man pages')
option('with_video', type : 'feature', value : 'auto', description : 'Link with ffmpeg libraries and provide a command line option to display all buffers using a video stream')
option('with_dmabuf', type : 'feature', value : 'auto', description : 'Support DMABUFs, the file descriptors used to exchange data for e.g. OpenGL applications')
option('with_lz4', type : 'feature', value : 'auto', description : 'Support LZ4 as a compression mechanism')
option('with_zstd', type : 'feature', value : 'auto', description : 'Support ZStandard as a compression mechanism')
option('with_vaapi', type : 'feature', value : 'auto', description : 'Link with libva and use VAAPI to perform hardware video output color space conversions on GPU')
option('with_systemtap', type: 'boolean', value: true, description: 'Enable tracing using sdt and provide static tracepoints for profiling')
option('with_secctx', type: 'feature', value: 'auto', description: 'Enable support for the Wayland security context protocol')

# It is recommended to keep these on; Waypipe will automatically select the highest available instruction set at runtime
option('with_avx512f', type: 'boolean', value: true, description: 'Compile with support for AVX512f SIMD instructions')
option('with_avx2', type: 'boolean', value: true, description: 'Compile with support for AVX2 SIMD instructions')
option('with_sse3', type: 'boolean', value: true, description: 'Compile with support for SSE3 SIMD instructions')
option('with_neon_opts', type: 'boolean', value: true, description: 'Compile with support for ARM64 neon instructions')

## waypipe 0.8.2

=== debian/changelog ===
waypipe (0.8.2-3) unstable; urgency=medium

  * Temporarily disable build-time tests on mipsel and mips64el. One test
    fails on these architectures, but the program seems functional.

 -- Gard Spreemann <gspr@nonempty.org>  Wed, 01 Dec 2021 16:39:26 +0100

waypipe (0.8.2-2) unstable; urgency=medium

  * Correct typo in architecture variables so as to actually build with
    SIMD capabilities.

 -- Gard Spreemann <gspr@nonempty.org>  Mon, 29 Nov 2021 09:10:58 +0100

waypipe (0.8.2-1) unstable; urgency=medium

  * New upstream version.
  * Add watch file.
  * Build with all SIMD capabilities for run-time detection.

 -- Gard Spreemann <gspr@nonempty.org>  Sun, 28 Nov 2021 23:29:08 +0100

waypipe (0.8.1-1) unstable; urgency=medium

  * Initial release. (Closes: #939405)

 -- Gard Spreemann <gspr@nonempty.org>  Fri, 29 Oct 2021 16:02:23 +0200

=== debian/control ===
Source: waypipe
Section: x11
Priority: optional
Maintainer: Gard Spreemann <gspr@nonempty.org>
Build-Depends:
 debhelper-compat (= 13),
 libavcodec-dev,
 libavutil-dev,
 libdrm-dev,
 libgbm-dev,
 liblz4-dev,
 libswscale-dev,
 libva-dev,
 libzstd-dev,
 meson,
 ninja-build,
 pkg-config,
 python3,
 python3-distutils,
 scdoc
Standards-Version: 4.6.0.1
Rules-Requires-Root: no
Homepage: https://gitlab.freedesktop.org/mstoeckl/waypipe/
Vcs-Browser: https://salsa.debian.org/gspr/waypipe/
Vcs-Git: https://salsa.debian.org/gspr/waypipe.git -b debian/sid

Package: waypipe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: openssh-client | openssh-server
Description: Network transparency with Wayland
 waypipe is a proxy for Wayland clients. It forwards Wayland messages
 and serializes changes to shared memory buffers over a single
 socket. This makes application forwarding similar to ssh -X
 feasible.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

%:
	dh $@

override_dh_auto_configure:
ifeq ($(DEB_HOST_ARCH), amd64)
	dh_auto_configure -- -Dwith_avx2=true  -Dwith_avx512f=true  -Dwith_neon_opts=false -Dwith_sse3=true
else ifeq ($(DEB_HOST_ARCH), arm64)
	dh_auto_configure -- -Dwith_avx2=false -Dwith_avx512f=false -Dwith_neon_opts=true  -Dwith_sse3=false
else
	dh_auto_configure -- -Dwith_avx2=false -Dwith_avx512f=false -Dwith_neon_opts=false -Dwith_sse3=false
endif

ifneq (, $(filter $(DEB_HOST_ARCH),mipsel mips64el))
override_dh_auto_test:
	@echo "Skipping tests on $(DEB_HOST_ARCH)."
endif

## waypipe 0.8.3

=== debian/changelog ===
waypipe (0.8.3-1) unstable; urgency=medium

  * New upstream version.
  * Re-enable build-time tests on mipsel and mips64el, fixed upstream.
  * Standards-version 4.6.1.0, no changes needed.

 -- Gard Spreemann <gspr@nonempty.org>  Mon, 08 Aug 2022 17:02:52 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python3,
  python3-distutils,
  scdoc
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.freedesktop.org/mstoeckl/waypipe/
 Vcs-Browser: https://salsa.debian.org/gspr/waypipe/

=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,3 @@
 else
 	dh_auto_configure -- -Dwith_avx2=false -Dwith_avx512f=false -Dwith_neon_opts=false -Dwith_sse3=false
 endif
-
-ifneq (, $(filter $(DEB_HOST_ARCH),mipsel mips64el))
-override_dh_auto_test:
-	@echo "Skipping tests on $(DEB_HOST_ARCH)."
-endif

## waypipe 0.8.4

=== debian/changelog ===
waypipe (0.8.4-3) unstable; urgency=medium

  * Add upstream patch to fix memory leak. (Closes: #1034163)

 -- Gard Spreemann <gspr@nonempty.org>  Mon, 10 Apr 2023 15:51:36 +0200

waypipe (0.8.4-2) unstable; urgency=medium

  * Increase timeout limit for build-time tests. (Closes: #1011322)

 -- Gard Spreemann <gspr@nonempty.org>  Wed, 23 Nov 2022 17:11:16 +0100

waypipe (0.8.4-1) unstable; urgency=medium

  * New upstream version.

 -- Gard Spreemann <gspr@nonempty.org>  Sun, 30 Oct 2022 14:52:41 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python3,
  python3-distutils,
  scdoc
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.1.1
 Rules-Requires-Root: no
 Homepage: https://gitlab.freedesktop.org/mstoeckl/waypipe/
 Vcs-Browser: https://salsa.debian.org/gspr/waypipe/
@@ -29,7 +29,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: openssh-client | openssh-server
 Description: Network transparency with Wayland
- waypipe is a proxy for Wayland clients. It forwards Wayland messages
+ Waypipe is a proxy for Wayland clients. It forwards Wayland messages
  and serializes changes to shared memory buffers over a single
  socket. This makes application forwarding similar to ssh -X
  feasible.

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/waypipe.*\.tar\.gz/waypipe-$1\.tar\.gz/g \
  https://gitlab.freedesktop.org/mstoeckl/waypipe/tags .*/archive/v(\d\S+)/.*\.tar\.gz.*

## waypipe 0.8.6

=== debian/changelog ===
waypipe (0.8.6-2build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:33:59 +1100

waypipe (0.8.6-2) unstable; urgency=medium

  * Drop build-dep on python3-distutils. (Closes: #1066006)
  * Build-dep on pkgconf instead of pkg-config.

 -- Gard Spreemann <gspr@nonempty.org>  Tue, 12 Mar 2024 07:17:47 +0100

waypipe (0.8.6-1) unstable; urgency=medium

  [ Gard Spreemann ]
  * New upstream version.
  * Drop memory leak patch, now in place upstream.
  * Standards-version 4.6.2.0, no changes needed.

  [ Debian Janitor ]
  * Set upstream metadata fields.

 -- Gard Spreemann <gspr@nonempty.org>  Thu, 08 Jun 2023 11:31:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: waypipe
 Section: x11
 Priority: optional
-Maintainer: Gard Spreemann <gspr@nonempty.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Gard Spreemann <gspr@nonempty.org>
 Build-Depends:
  debhelper-compat (= 13),
  libavcodec-dev,
@@ -14,11 +15,10 @@
  libzstd-dev,
  meson,
  ninja-build,
- pkg-config,
+ pkgconf,
  python3,
- python3-distutils,
  scdoc
-Standards-Version: 4.6.1.1
+Standards-Version: 4.6.2.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.freedesktop.org/mstoeckl/waypipe/
 Vcs-Browser: https://salsa.debian.org/gspr/waypipe/

## waypipe 0.9.1

=== debian/changelog ===
waypipe (0.9.1-1build1) oracular; urgency=medium

  * Rebuild against new libavcodec61.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jul 2024 17:29:52 +0200

waypipe (0.9.1-1) unstable; urgency=medium

  * New upstream version.
  * Standards-version 4.7.0. No changes needed.

 -- Gard Spreemann <gspr@nonempty.org>  Sun, 09 Jun 2024 22:20:20 +0200

waypipe (0.9.0-1) unstable; urgency=medium

  * New upstream version.

 -- Gard Spreemann <gspr@nonempty.org>  Tue, 19 Mar 2024 12:00:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: waypipe
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Gard Spreemann <gspr@nonempty.org>
+Maintainer: Gard Spreemann <gspr@nonempty.org>
 Build-Depends:
  debhelper-compat (= 13),
  libavcodec-dev,
@@ -18,7 +17,7 @@
  pkgconf,
  python3,
  scdoc
-Standards-Version: 4.6.2.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.freedesktop.org/mstoeckl/waypipe/
 Vcs-Browser: https://salsa.debian.org/gspr/waypipe/

## waypipe 0.9.2

=== debian/changelog ===
waypipe (0.9.2-1) unstable; urgency=medium

  * New upstream version.
  * Build-depend on libwayland-dev for new secctx feature.

 -- Gard Spreemann <gspr@nonempty.org>  Sun, 01 Dec 2024 21:27:51 +0100

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
  liblz4-dev,
  libswscale-dev,
  libva-dev,
+ libwayland-dev,
  libzstd-dev,
  meson,
  ninja-build,

=== debian/rules ===
--- 
+++ 
@@ -15,3 +15,6 @@
 else
 	dh_auto_configure -- -Dwith_avx2=false -Dwith_avx512f=false -Dwith_neon_opts=false -Dwith_sse3=false
 endif
+
+override_dh_auto_test:
+	dh_auto_test -- --timeout-multiplier 10

## waypipe 0.10.5

=== meson_options.txt ===
# Control what to build
option('man-pages', type: 'feature', value: 'auto', description: 'Generate and install man pages')
option('build_c', description: 'Build old version of waypipe (waypipe-c)', type: 'boolean', value: false)
option('build_rs', description: 'Build current version of waypipe', type: 'boolean', value: true)
option('tests', description: 'Compile Waypipe tests', type: 'boolean', value: true)

# Options that apply to waypipe and waypipe-c
option('with_video', type : 'feature', value : 'auto', description : 'Link with ffmpeg libraries and provide a command line option to display all buffers using a video stream')
option('with_dmabuf', type : 'feature', value : 'auto', description : 'Support DMABUFs, the file descriptors used to exchange data for e.g. OpenGL applications')
option('with_lz4', type : 'feature', value : 'auto', description : 'Support LZ4 as a compression mechanism')
option('with_zstd', type : 'feature', value : 'auto', description : 'Support ZStandard as a compression mechanism')

# Options for: waypipe
option('with_gbm', type : 'feature', value : 'auto', description : 'Use libgbm as a limited fallback path to support DMABUFs')

# Options for: waypipe-c
option('with_vaapi', type : 'feature', value : 'auto', description : 'C only: Link with libva and use VAAPI to perform hardware video output color space conversions on GPU')
option('with_systemtap', type: 'boolean', value: true, description: 'C only: Enable tracing using sdt and provide static tracepoints for profiling')
option('with_secctx', type: 'feature', value: 'auto', description: 'C only: Enable support for the Wayland security context protocol')
## It is recommended to keep these on; Waypipe will automatically select the highest available instruction set at runtime
option('with_avx512f', type: 'boolean', value: true, description: 'C only: Compile with support for AVX512f SIMD instructions')
option('with_avx2', type: 'boolean', value: true, description: 'C only: Compile with support for AVX2 SIMD instructions')
option('with_sse3', type: 'boolean', value: true, description: 'C only: Compile with support for SSE3 SIMD instructions')
option('with_neon_opts', type: 'boolean', value: true, description: 'C only: Compile with support for ARM64 neon instructions')

=== debian/changelog ===
waypipe (0.10.5-3) unstable; urgency=medium

  * Extend armhf patch to cover all occurrences.

 -- Gard Spreemann <gspr@nonempty.org>  Mon, 08 Dec 2025 10:08:34 +0100

waypipe (0.10.5-2) unstable; urgency=medium

  * Add patch to fix build on armhf.
  * Reflect semver for Rust dependencies.

 -- Gard Spreemann <gspr@nonempty.org>  Mon, 08 Dec 2025 09:27:51 +0100

waypipe (0.10.5-1) unstable; urgency=medium

  * New upstream version. (Closes: #1095971)
  * This version has been rewritten in Rust since 0.9.*, and the build
    process and dependencies have correspondingly changed drastically.
  * Standards-version 4.7.2.0. No changes needed.

 -- Gard Spreemann <gspr@nonempty.org>  Fri, 05 Dec 2025 19:39:10 +0100

=== debian/control ===
Source: waypipe
Section: x11
Priority: optional
Maintainer: Gard Spreemann <gspr@nonempty.org>
Build-Depends:
 bindgen,
 cargo,
 debhelper-compat (= 13),
 glslc,
 libavcodec-dev,
 libavutil-dev,
 libgbm-dev,
 liblz4-dev,
 librust-ash-dev (>= 0.38.0), librust-ash-dev (<< 0.39.0),
 librust-clap-dev (>= 4.5.21), librust-clap-dev (<< 4.6.0),
 librust-getrandom-dev (>= 0.2.15), librust-getrandom-dev (<< 0.3.0),
 librust-libloading-dev,
 librust-log-dev (>= 0.4.22), librust-log-dev (<< 0.5.0),
 librust-nix-dev (>= 0.30.0), librust-nix-dev (<< 0.31.0),
 librust-pkg-config-dev,
 libvulkan-dev,
 libzstd-dev,
 rustc,
 scdoc
Standards-Version: 4.7.2.0
Rules-Requires-Root: no
Homepage: https://gitlab.freedesktop.org/mstoeckl/waypipe/
Vcs-Browser: https://salsa.debian.org/gspr/waypipe/
Vcs-Git: https://salsa.debian.org/gspr/waypipe.git -b debian/sid

Package: waypipe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: openssh-client | openssh-server, ${waypipe:Recommends}
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using} 
Description: Network transparency with Wayland
 Waypipe is a proxy for Wayland clients. It forwards Wayland messages
 and serializes changes to shared memory buffers over a single
 socket. This makes application forwarding similar to ssh -X
 feasible.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/rustc/architecture.mk

CARGO_BASE_ARGS=--verbose --release --target $(DEB_HOST_RUST_TYPE)
RUNTIME_LIBS=libavcodec.so libgbm.so

%:
	dh $@

execute_before_dh_auto_configure:
	mkdir -p .cargo
	cp debian/cargo-config.toml .cargo/config.toml
	mv Cargo.lock Cargo.lock.ignored

execute_after_dh_auto_clean:
	rm -f waypipe.1
	rm -rf target
	if [ -f Cargo.lock.ignored ]; then \
	  mv Cargo.lock.ignored Cargo.lock; \
	fi
	rm -rf .cargo

override_dh_auto_configure:

override_dh_auto_build:
	cargo build $(CARGO_BASE_ARGS)
	scdoc < waypipe.scd > waypipe.1

override_dh_auto_install:
	install -D target/$(DEB_HOST_RUST_TYPE)/release/waypipe debian/tmp/usr/bin/waypipe

override_dh_auto_test:
	cargo test $(CARGO_BASE_ARGS)

execute_before_dh_gencontrol:
	CARGO_REGISTRY=/usr/share/cargo/registry debian/dh-cargo-built-using waypipe
	DEB_HOST_MULTIARCH=$(DEB_HOST_MULTIARCH) debian/runtime-recommends.sh $(RUNTIME_LIBS)

## waypipe 0.11.0

=== debian/changelog ===
waypipe (0.11.0-2) unstable; urgency=medium

  * Use dh-cargo instead of bundling dh-cargo-built-using.
  * Use the dh-cargo cargo wrapper. We don't use the associated dh
    sequencer, as it recommends manual invocation of the cargo wrapper for
    packages like this.

 -- Gard Spreemann <gspr@nonempty.org>  Sat, 28 Feb 2026 21:46:42 +0100

waypipe (0.11.0-1) unstable; urgency=medium

  * New upstream version.
    - Drop upstreamed nix 0.30 patch.
  * Fix d/watch.

 -- Gard Spreemann <gspr@nonempty.org>  Mon, 22 Dec 2025 07:52:01 +0100

waypipe (0.10.5-4) unstable; urgency=medium

  * Recommend vulkan-icd. (Closes: #1123610)

 -- Gard Spreemann <gspr@nonempty.org>  Fri, 19 Dec 2025 16:10:40 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
  bindgen,
  cargo,
  debhelper-compat (= 13),
+ dh-cargo (>= 33),
  glslc,
  libavcodec-dev,
  libavutil-dev,
@@ -31,7 +32,10 @@
 Package: waypipe
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: openssh-client | openssh-server, ${waypipe:Recommends}
+Recommends:
+ openssh-client | openssh-server,
+ vulkan-icd,
+ ${waypipe:Recommends}
 Built-Using: ${cargo:Built-Using}
 Static-Built-Using: ${cargo:Static-Built-Using}
 X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/rustc/architecture.mk
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_CARGO_CRATE=waypipe_0.11.0
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE
export PATH := /usr/share/cargo/bin/:$(PATH)
export CARGO_HOME=$(CURDIR)/debian/cargo_home
export CARGO_REGISTRY=$(CURDIR)/debian/local-registry

RUNTIME_LIBS=libavcodec.so libgbm.so

%:
	dh $@

execute_before_dh_auto_configure:
	mkdir -p .cargo
	cargo prepare-debian $(CARGO_REGISTRY) --link-from-system
	mv Cargo.lock Cargo.lock.ignored

execute_after_dh_auto_clean:
	rm -f waypipe.1
	rm -rf target
	if [ -f Cargo.lock.ignored ]; then \
	  mv Cargo.lock.ignored Cargo.lock; \
	fi
	rm -rf $(CARGO_REGISTRY)
	rm -rf $(CARGO_HOME)

override_dh_auto_configure:

override_dh_auto_build:
	cargo build --release
	scdoc < waypipe.scd > waypipe.1

override_dh_auto_install:
	install -D target/$(DEB_HOST_RUST_TYPE)/release/waypipe debian/tmp/usr/bin/waypipe

override_dh_auto_test:
	cargo test --release

execute_before_dh_gencontrol:
	dh-cargo-built-using waypipe
	DEB_HOST_MULTIARCH=$(DEB_HOST_MULTIARCH) debian/runtime-recommends.sh $(RUNTIME_LIBS)
